Create counterpartyCopy Pagepost https://api.atlar.com/payments/v2/counterpartiesCreate a new counterparty.Body ParamslegalNamestringrequiredlength ≤ 96Legal name of the counterparty. E.g. a company's legal business name, or an individual's full legal name.aliasstringlength ≤ 255An additional name, an alias, for the counterparty.partyTypestringenumThe legal type of a partyINDIVIDUALINDIVIDUALCOMPANYAllowed:INDIVIDUALCOMPANYaddressobjectAddress details for the counterparty.address objectemailstringlength ≤ 256Email of the counterparty.phonestringlength ≤ 64Phone number of the counterparty.accountsarray of objectsAn optional list of external accounts to create for this counterparty. Note that external account is a separate API resource. One counterparty can have multiple external accounts.accountsADD objectexternalIdstringExternal ID is optional to use, but if used, the Atlar platform will persist it, index it, as well as require it to be unique across all resources. It is possible to retrieve a resource using the external ID using the prefix external:.metadataobject | nullMetadata is a string-string key-value container that can be used to store information known at the time of resource creation. This can be retrieved later on, for instance when a payment or expected transaction is reconciled with the booked transaction on the bank statement. Metadata can have at most 20 entries. Keys may have a maximum length of 64 chars and values a maximum length of 512 chars. By default, this field is optional. It is possible to make it required in the Atlar Dashboard by visiting the Metadata keys page. Requirement rules can be specified per API resource. Both the Dashboard and the API will then enforce these rules and give validation errors when the required fields are not set.metadata object | nullnationalIdentifierobjectThe national identifier of the counterparty.nationalIdentifier objectentityIdsarray of objectslength ≤ 100An optional list of entity IDs that this counterparty belongs to. If empty, the counterparty is not associated with any specific entity and can be used by all in the organization.entityIdsADD stringResponses 201The created counterparty. 400Bad request.Updated 4 days ago